Bug 255729 - lang/python38: Update to 3.8.10
Summary: lang/python38: Update to 3.8.10
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Po-Chuan Hsieh
URL: https://docs.python.org/release/3.8.1...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-05-09 19:23 UTC by Yasuhiro Kimura
Modified: 2021-05-17 06:30 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (python)
antoine: exp-run+


Attachments
Patch file (2.63 KB, patch)
2021-05-09 19:23 UTC, Yasuhiro Kimura
no flags Details | Diff
Updated patch file (5.21 KB, patch)
2021-05-10 18:23 UTC, Yasuhiro Kimura
no flags Details | Diff
Updated patch file (8.84 KB, patch)
2021-05-10 21:22 UTC, Yasuhiro Kimura
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro Kimura freebsd_committer 2021-05-09 19:23:56 UTC
Created attachment 224795 [details]
Patch file

Update to 3.8.10.

Change Log: https://docs.python.org/release/3.8.10/whatsnew/changelog.html#python-3-8-10-final
Security: bffa40db-ad50-11eb-86b8-080027846a02
Comment 1 Yasuhiro Kimura freebsd_committer 2021-05-10 18:23:02 UTC
Created attachment 224814 [details]
Updated patch file

Update lang/python-doc-html/distinfo too.
Comment 2 Yasuhiro Kimura freebsd_committer 2021-05-10 20:04:16 UTC
@sunpoet

As I wrote to freebsd-ports ML, currently my patch has problem that build fails with 12.2-RELEASE.

https://lists.freebsd.org/pipermail/freebsd-ports/2021-May/121106.html

I'm currently investigating it but now I found possible solution and testing it. And if it works fine I'll submit updated patch. So please wait committing current patch for a while. I think I can submit it in a few hours if possible solution works fine.

Best Regards.
Comment 3 Yasuhiro Kimura freebsd_committer 2021-05-10 21:22:29 UTC
Created attachment 224819 [details]
Updated patch file

(In reply to Yasuhiro Kimura from comment #2)

Add patch to fix build with 12.2-RELEASE.
Comment 4 george 2021-05-10 23:25:20 UTC
I confirm that this allows me to build and install on 12.2-RELEASE.  Thank you!
Comment 5 Wen Heping freebsd_committer 2021-05-11 12:18:01 UTC
This PR should ask for a exp-run.

wen
Comment 6 Yasuhiro Kimura freebsd_committer 2021-05-11 12:28:18 UTC
(In reply to Wen Heping from comment #5)

Thank you for your advice.
Comment 7 Po-Chuan Hsieh freebsd_committer 2021-05-11 21:15:01 UTC
@antoine, please use this one [1] instead. It also includes patch from bug #253603. Thanks!

[1] https://people.FreeBSD.org/~sunpoet/patch/lang-python38.txt
Comment 8 Antoine Brodin freebsd_committer 2021-05-14 20:58:11 UTC
Exp-run looks fine with attachment 224819 [details]
Comment 9 commit-hook freebsd_committer 2021-05-16 15:28:28 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=065696a8ae4082c09318ba4862727e1afb447131

commit 065696a8ae4082c09318ba4862727e1afb447131
Author:     Yasuhiro Kimura <yasu@utahime.org>
AuthorDate: 2021-05-16 15:21:35 +0000
Commit:     Po-Chuan Hsieh <sunpoet@FreeBSD.org>
CommitDate: 2021-05-16 15:24:46 +0000

    lang/python38: Update to 3.8.10

    Changes:        https://docs.python.org/release/3.8.10/whatsnew/changelog.html
    PR:             255729
    Exp-run by:     antoine

 lang/python-doc-html/distinfo              |  16 ++---
 lang/python38/Makefile.version             |   2 +-
 lang/python38/distinfo                     |   6 +-
 lang/python38/files/patch-freebsd-12 (new) | 107 +++++++++++++++++++++++++++++
 lang/python38/pkg-plist                    |   5 +-
 5 files changed, 122 insertions(+), 14 deletions(-)
Comment 10 Po-Chuan Hsieh freebsd_committer 2021-05-16 15:31:42 UTC
Committed. Thanks!
Comment 11 Thierry Thomas freebsd_committer 2021-05-17 06:30:24 UTC
Upgrading Python to 3.8.10 as a port in developer mode displays the following errors:

====> Running Q/A tests (stage-qa)
Error: /usr/local/lib/python3.8/lib-dynload/_gdbm.cpython-38.so is linked to /usr/local/lib/libgdbm.so.6 from databases/gdbm but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libgdbm.so:databases/gdbm
Error: /usr/local/lib/python3.8/lib-dynload/_sqlite3.cpython-38.so is linked to /usr/local/lib/libsqlite3.so.0 from databases/sqlite3 but it is not declared as a dependency
Warning: you need USES+=sqlite
Error: /usr/local/lib/python3.8/lib-dynload/_tkinter.cpython-38_failed.so is linked to /usr/local/lib/libtk86.so.1 from x11-toolkits/tk86 but it is not declared as a dependency
Warning: you need USES+=tk
Error: /usr/local/lib/python3.8/lib-dynload/_tkinter.cpython-38_failed.so is linked to /usr/local/lib/libtcl86.so.1 from lang/tcl86 but it is not declared as a dependency
Warning: you need USES+=tcl
Error: /usr/local/lib/python3.8/lib-dynload/_tkinter.cpython-38_failed.so is linked to /usr/local/lib/libX11.so.6 from x11/libX11 but it is not declared as a dependency
Warning: you need USE_XORG+=x11
readelf: Not an ELF file.
Warning: /usr/ports/lang/python38/work/stage/usr/local/lib/libpython3.8.so.1.0-gdb.py doesn't have a SONAME.
Warning: pkg(8) will not register it as being provided by the port.
Warning: If another port depend on it, pkg will not be able to know where it comes from.
Warning: It is directly in /usr/local/lib, it is probably used by other ports.

That means that python3.8 from the port and python3.87 from a package might be different.

(Already reported in the open PR 241416 but this one seems more relevant)